package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 代理商区域对象 b_busi_agents_location
 * 
 * @author voluntary
 * @date 2022-11-20
 */
public class BusiAgentsLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private Long agentId;

    /** 省 */
    @Excel(name = "省")
    private Long pro;

    /** 市 */
    @Excel(name = "市")
    private Long city;

    /** 区县 */
    @Excel(name = "区县")
    private Long area;

    /** 代理层级（1省级，2市级，3区县级，4学校级-对应b_school表）  */
    @Excel(name = "代理层级", readConverterExp = "1=省级，2市级，3区县级，4学校级-对应b_school表")
    private Integer level;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAgentId(Long agentId) 
    {
        this.agentId = agentId;
    }

    public Long getAgentId() 
    {
        return agentId;
    }
    public void setPro(Long pro) 
    {
        this.pro = pro;
    }

    public Long getPro() 
    {
        return pro;
    }
    public void setCity(Long city) 
    {
        this.city = city;
    }

    public Long getCity() 
    {
        return city;
    }
    public void setArea(Long area) 
    {
        this.area = area;
    }

    public Long getArea() 
    {
        return area;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("agentId", getAgentId())
            .append("pro", getPro())
            .append("city", getCity())
            .append("area", getArea())
            .append("level", getLevel())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
